import { createZodDto } from 'nestjs-zod';
import {
  ActivityStatsResponseSchema,
  TrackActivityRequestSchema,
  TrackActivityResponseSchema,
} from '@pac/types';

export class TrackActivityRequestDto extends createZodDto(TrackActivityRequestSchema) {}
export class TrackActivityResponseDto extends createZodDto(TrackActivityResponseSchema) {}
export class ActivityStatsResponseDto extends createZodDto(ActivityStatsResponseSchema) {}
